--- pg9.4_orig/src/bin/pg_dump/pg_backup_archiver.c	2014-02-11 13:59:22.000000000 +1100
+++ pg9.4/src/bin/pg_dump/pg_backup_archiver.c	2014-02-27 09:18:59.258915615 +1100
@@ -353,16 +353,21 @@
 
 	ahprintf(AH, "--\n-- PostgreSQL database dump\n--\n\n");
 
+	if (AH->archiveRemoteVersion)
+		ahprintf(AH, "-- Dumped from database version %s\n",
+				 AH->archiveRemoteVersion);
+	if (AH->archiveDumpVersion)
+		ahprintf(AH, "-- Dumped by pg_dump version %s\n",
+				 AH->archiveDumpVersion);
+
 	if (AH->public.verbose)
 	{
-		if (AH->archiveRemoteVersion)
-			ahprintf(AH, "-- Dumped from database version %s\n",
-					 AH->archiveRemoteVersion);
-		if (AH->archiveDumpVersion)
-			ahprintf(AH, "-- Dumped by pg_dump version %s\n",
-					 AH->archiveDumpVersion);
 		dumpTimestamp(AH, "Started on", AH->createDate);
 	}
+	else
+	{
+		ahprintf(AH, "\n");
+	}
 
 	if (ropt->single_txn)
 	{
